Multivariate Pattern Analysis in Python

# mvpa2.support.nibabel.afni_suma_spec.SurfaceSpec

class `mvpa2.support.nibabel.afni_suma_spec.``SurfaceSpec`(surfaces, states=None, groups=None, directory=None)

  Methods

  `add_surface`(state) |
  `as_string`() |
  `find_surface_from_state`(surfacestate) |
  `get_surface`(*args) | Wizard-like function to get a surface
  `get_surface_file`(*args) | Wizard-like function to get the filename of a surface
  `same_states`(other) | Returns whether another surface has the same surface states
  `write`(fnout[, overwrite]) | Writes spec to a file

  `add_surface`(state)
  `as_string`()
  `find_surface_from_state`(surfacestate)
  `get_surface`(*args)

    Wizard-like function to get a surface

    Parameters:

    *args: list of str

    > parts of the surface file name or description, such as ‘pial’ (for pial surface), ‘wm’ (for white matter), or ‘lh’ (for left hemisphere’).

    Returns: | surf: surf.Surface

  `get_surface_file`(*args)

    Wizard-like function to get the filename of a surface

    Parameters:

    *args: list of str

    > parts of the surface file name or description, such as ‘pial’ (for pial surface), ‘wm’ (for white matter), or ‘lh’ (for left hemisphere’).

    Returns:

    filename: str

    > filename of the surface specified, or None if no unique match was found.

  `same_states`(other)

    Returns whether another surface has the same surface states

    Parameters: | other: SurfaceSpec
    Returns: | True iff other has the same states

  `write`(fnout, overwrite=True)

    Writes spec to a file

    Parameters:

    fn: str

    > filename where the spec is written to

    overwrite: boolean (default: True)

    > overwrite the file even if it exists already.